PersistedType (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.jms.persistence.config

## Enum PersistedType

- java.lang.Object
- - java.lang.Enum<PersistedType>
  - - org.apache.activemq.artemis.jms.persistence.config.PersistedType

- All Implemented Interfaces:
    Serializable, Comparable<PersistedType>

      public enum PersistedType
      extends Enum<PersistedType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ConnectionFactory`
    `Queue`
    `Topic`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getType()`
    `static PersistedType` | `getType(byte type)`
    `static PersistedType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PersistedType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ConnectionFactory

          public static final PersistedType ConnectionFactory

    - #### Topic

          public static final PersistedType Topic

    - #### Queue

          public static final PersistedType Queue

  - ### Method Detail

    - #### values

          public static PersistedType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PersistedType c : PersistedType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PersistedType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getType

          public byte getType()

    - #### getType

          public static PersistedType getType(byte type)

Copyright © 2015. All rights reserved.